#!/bin/bash
# oreon-upgrade.sh
# Zenity popup with 4 buttons and increased width.
# "Upgrade Now" is the default OK button (highlighted),
# "Decline Upgrade" is the Cancel button,
# "Learn More" and "Remind me Later" are extra buttons.

response=$(zenity --question \
  --title="Pardon the Interruption" \
  --width=600 \
  --text="Starting now, you can upgrade to Oreon 10 without doing a re-install. Make sure to back up your data before starting, in case anything goes wrong." \
  --ok-label="Upgrade Now" \
  --cancel-label="Decline Upgrade" \
  --extra-button="Learn More" \
  --extra-button="Remind me Later")
ret=$?

if [ "$response" = "Learn More" ]; then
  xdg-open "https://oreonproject.org/oreon-10/"
elif [ "$response" = "Remind me Later" ]; then
  if command -v at >/dev/null 2>&1; then
    echo "$0" | at now + 5 days
  else
    zenity --error --text="Error: 'at' command not found. Please install the 'at' package."
  fi
elif [ -z "$response" ]; then
  if [ $ret -eq 0 ]; then
    cd /usr/share/UpgradeTool && /usr/bin/env python3 main.py
  elif [ $ret -eq 1 ]; then
    touch ~/.oreon_upgrade_declined
  fi
fi

